<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'proplance',

    /*
     * Package.
     */
    'package'   => 'realestate',

    /*
     * Modules.
     */
    'modules'   => ['property', 
'category', 
'requirement'],

    'property'       => [
        'model' => [
            'model'                 => \Proplance\Realestate\Models\Property::class,
            'table'                 => 'properties',
            'presenter'             => \Proplance\Realestate\Repositories\Presenter\PropertyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'refno',  'unito',  'user_id',  'user_type',  'country_id',  'state_id',  'district_id',  'city_id',  'location_id',  'category_id',  'title',  'description',  'price',  'year_built',  'rent_frequency',  'bedrooms',  'bathrooms',  'buildup_area',  'buildarea_type',  'land_area',  'landarea_type',  'floor_nos',  'parking',  'furnishing',  'features',  'amenities',  'portals',  'address',  'locality',  'zip_code',  'landmarks',  'visibility',  'images',  'video_link',  'expire_date',  'source',  'property_for',  'prop_status',  'build_status',  'lead_type',  'owner',  'phone',  'email',  'view_count',  'slug',  'status',  'meta_title',  'meta_description',  'meta_keyword',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'realestate/property',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Proplance',
            'package'   => 'Realestate',
            'module'    => 'Property',
        ],

    ],

    'category'       => [
        'model' => [
            'model'                 => \Proplance\Realestate\Models\Category::class,
            'table'                 => 'categories',
            'presenter'             => \Proplance\Realestate\Repositories\Presenter\CategoryPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'type',  'name',  'description',  'bedroomss',  'bathrooms',  'land_area',  'buildup_area',  'furnished',  'slug',  'status',  'meta_title',  'meta_description',  'meta_keyword',  'upload_folder',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'realestate/category',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Proplance',
            'package'   => 'Realestate',
            'module'    => 'Category',
        ],

    ],

    'requirement'       => [
        'model' => [
            'model'                 => \Proplance\Realestate\Models\Requirement::class,
            'table'                 => 'requirements',
            'presenter'             => \Proplance\Realestate\Repositories\Presenter\RequirementPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'refno',  'country_id',  'state_id',  'district_id',  'city_id',  'location_id',  'category_id',  'title',  'description',  'date',  'lead_type',  'finance',  'priority',  'owner',  'phone',  'email',  'source',  'hot',  'share_lead',  'min_beds',  'max_beds',  'min_price',  'max_price',  'min_buildarea',  'max_buildarea',  'buildarea_typ',  'min_landarea',  'max_landarea',  'landarea_type',  'status',  'sub_status',  'slug',  'user_id',  'user_type',  'meta_title',  'meta_description',  'meta_keyword',  'upload_folder',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'realestate/requirement',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Proplance',
            'package'   => 'Realestate',
            'module'    => 'Requirement',
        ],

    ],
];
