<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: categories
         */
        Schema::create('categories', function ($table) {
            $table->increments('id');
            $table->enum('type', ['commercial','residential'])->nullable();
            $table->string('name', 100)->nullable();
            $table->text('description')->nullable();
            $table->tinyInteger('bedroomss')->nullable();
            $table->tinyInteger('bathrooms')->nullable();
            $table->tinyInteger('land_area')->nullable();
            $table->tinyInteger('buildup_area')->nullable();
            $table->tinyInteger('furnished')->nullable();
            $table->string('slug', 100)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->string('meta_title', 100)->nullable();
            $table->string('meta_description', 100)->nullable();
            $table->string('meta_keyword', 100)->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('categories');
    }
}
