<?php

namespace Proplance\Realestate;

use DB;
use Illuminate\Database\Seeder;

class PropertyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('properties')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'realestate.property.view',
                'name'      => 'View Property',
            ],
            [
                'slug'      => 'realestate.property.create',
                'name'      => 'Create Property',
            ],
            [
                'slug'      => 'realestate.property.edit',
                'name'      => 'Update Property',
            ],
            [
                'slug'      => 'realestate.property.delete',
                'name'      => 'Delete Property',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/realestate/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/realestate/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Realestate',
                'module'    => 'Property',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'realestate.property.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
