<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in realestate package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in realestate package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Property',
    'names'         => 'Properties',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Properties',
        'sub'   => 'Properties',
        'list'  => 'List of properties',
        'edit'  => 'Edit property',
        'create'    => 'Create new property'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'rent_frequency'      => ['Yearly','Monthly','Weekly','Daily'],
            'buildarea_type'      => ['CEN','ACR','Sq ft'],
            'landarea_type'       => ['CEN','ACR','Sq ft'],
            'furnishing'          => ['Furnished','Semi furnished','Bare shell','Unfurnished'],
            'visibility'          => ['featured','premium'],
            'property_for'        => ['Rent','Sale','PG','Lease'],
            'prop_status'         => ['available','pending','upcoming','reserved'],
            'build_status'        => ['completed','underconstruction'],
            'lead_type'           => ['Seller','Landlord'],
            'status'              => ['Published','Pending','Draft'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'refno'                      => 'Please enter refno',
        'unito'                      => 'Please enter unito',
        'user_id'                    => 'Please enter user',
        'user_type'                  => 'Please enter user type',
        'country_id'                 => 'Please select country',
        'state_id'                   => 'Please select state',
        'district_id'                => 'Please select district',
        'city_id'                    => 'Please select city',
        'location_id'                => 'Please select location',
        'category_id'                => 'Please select category',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'price'                      => 'Please enter price',
        'year_built'                 => 'Please select year built',
        'rent_frequency'             => 'Please select rent frequency',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'buildup_area'               => 'Please enter buildup area',
        'buildarea_type'             => 'Please select buildarea type',
        'land_area'                  => 'Please enter land area',
        'landarea_type'              => 'Please select landarea type',
        'floor_nos'                  => 'Please enter floor nos',
        'parking'                    => 'Please enter parking',
        'furnishing'                 => 'Please select furnishing',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'portals'                    => 'Please enter portals',
        'address'                    => 'Please enter address',
        'locality'                   => 'Please enter locality',
        'zip_code'                   => 'Please enter zip code',
        'landmarks'                  => 'Please enter landmarks',
        'visibility'                 => 'Please select visibility',
        'images'                     => 'Please upload images',
        'video_link'                 => 'Please enter video link',
        'expire_date'                => 'Please select expire date',
        'source'                     => 'Please enter source',
        'property_for'               => 'Please select property for',
        'prop_status'                => 'Please select prop status',
        'build_status'               => 'Please select build status',
        'lead_type'                  => 'Please select lead type',
        'owner'                      => 'Please enter owner',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'view_count'                 => 'Please enter view count',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'meta_title'                 => 'Please enter meta title',
        'meta_description'           => 'Please enter meta description',
        'meta_keyword'               => 'Please enter meta keyword',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'refno'                      => 'Refno',
        'unito'                      => 'Unito',
        'user_id'                    => 'User',
        'user_type'                  => 'User type',
        'country_id'                 => 'Country',
        'state_id'                   => 'State',
        'district_id'                => 'District',
        'city_id'                    => 'City',
        'location_id'                => 'Location',
        'category_id'                => 'Category',
        'title'                      => 'Title',
        'description'                => 'Description',
        'price'                      => 'Price',
        'year_built'                 => 'Year built',
        'rent_frequency'             => 'Rent frequency',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'buildup_area'               => 'Buildup area',
        'buildarea_type'             => 'Buildarea type',
        'land_area'                  => 'Land area',
        'landarea_type'              => 'Landarea type',
        'floor_nos'                  => 'Floor nos',
        'parking'                    => 'Parking',
        'furnishing'                 => 'Furnishing',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'portals'                    => 'Portals',
        'address'                    => 'Address',
        'locality'                   => 'Locality',
        'zip_code'                   => 'Zip code',
        'landmarks'                  => 'Landmarks',
        'visibility'                 => 'Visibility',
        'images'                     => 'Images',
        'video_link'                 => 'Video link',
        'expire_date'                => 'Expire date',
        'source'                     => 'Source',
        'property_for'               => 'Property for',
        'prop_status'                => 'Prop status',
        'build_status'               => 'Build status',
        'lead_type'                  => 'Lead type',
        'owner'                      => 'Owner',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'view_count'                 => 'View count',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'meta_title'                 => 'Meta title',
        'meta_description'           => 'Meta description',
        'meta_keyword'               => 'Meta keyword',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'refno'                      => ['name' => 'Refno', 'data-column' => 1, 'checked'],
        'unito'                      => ['name' => 'Unito', 'data-column' => 2, 'checked'],
        'user_id'                    => ['name' => 'User', 'data-column' => 3, 'checked'],
        'district_id'                => ['name' => 'District', 'data-column' => 4, 'checked'],
        'city_id'                    => ['name' => 'City', 'data-column' => 5, 'checked'],
        'location_id'                => ['name' => 'Location', 'data-column' => 6, 'checked'],
        'category_id'                => ['name' => 'Category', 'data-column' => 7, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 8, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 9, 'checked'],
        'price'                      => ['name' => 'Price', 'data-column' => 10, 'checked'],
        'year_built'                 => ['name' => 'Year built', 'data-column' => 11, 'checked'],
        'rent_frequency'             => ['name' => 'Rent frequency', 'data-column' => 12, 'checked'],
        'bedrooms'                   => ['name' => 'Bedrooms', 'data-column' => 13, 'checked'],
        'bathrooms'                  => ['name' => 'Bathrooms', 'data-column' => 14, 'checked'],
        'buildup_area'               => ['name' => 'Buildup area', 'data-column' => 15, 'checked'],
        'buildarea_type'             => ['name' => 'Buildarea type', 'data-column' => 16, 'checked'],
        'land_area'                  => ['name' => 'Land area', 'data-column' => 17, 'checked'],
        'landarea_type'              => ['name' => 'Landarea type', 'data-column' => 18, 'checked'],
        'floor_nos'                  => ['name' => 'Floor nos', 'data-column' => 19, 'checked'],
        'furnishing'                 => ['name' => 'Furnishing', 'data-column' => 20, 'checked'],
        'features'                   => ['name' => 'Features', 'data-column' => 21, 'checked'],
        'amenities'                  => ['name' => 'Amenities', 'data-column' => 22, 'checked'],
        'portals'                    => ['name' => 'Portals', 'data-column' => 23, 'checked'],
        'address'                    => ['name' => 'Address', 'data-column' => 24, 'checked'],
        'locality'                   => ['name' => 'Locality', 'data-column' => 25, 'checked'],
        'zip_code'                   => ['name' => 'Zip code', 'data-column' => 26, 'checked'],
        'landmarks'                  => ['name' => 'Landmarks', 'data-column' => 27, 'checked'],
        'visibility'                 => ['name' => 'Visibility', 'data-column' => 28, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 29, 'checked'],
        'video_link'                 => ['name' => 'Video link', 'data-column' => 30, 'checked'],
        'expire_date'                => ['name' => 'Expire date', 'data-column' => 31, 'checked'],
        'source'                     => ['name' => 'Source', 'data-column' => 32, 'checked'],
        'property_for'               => ['name' => 'Property for', 'data-column' => 33, 'checked'],
        'build_status'               => ['name' => 'Build status', 'data-column' => 34, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 35, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Properties',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
