<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for requirement in realestate package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  requirement module in realestate package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Requirement',
    'names'         => 'Requirements',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Requirements',
        'sub'   => 'Requirements',
        'list'  => 'List of requirements',
        'edit'  => 'Edit requirement',
        'create'    => 'Create new requirement'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'lead_type'           => ['Tenant','Buyer'],
            'finance'             => ['cash','loan(approved],
            'priority'            => ['Urgent','High','Low','Normal'],
            'buildarea_typ'       => ['CEN','ACR','Sq ft'],
            'landarea_type'       => ['CEN','ACR','Sq ft'],
            'status'              => ['Open','Closed','Not Specified','New'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'refno'                      => 'Please enter refno',
        'country_id'                 => 'Please select country',
        'state_id'                   => 'Please select state',
        'district_id'                => 'Please enter district',
        'city_id'                    => 'Please select city',
        'location_id'                => 'Please select location',
        'category_id'                => 'Please select category id',
        'title'                      => 'Please enter title',
        'description'                => 'Please enter description',
        'date'                       => 'Please select date',
        'lead_type'                  => 'Please select lead type',
        'finance'                    => 'Please select finance',
        'priority'                   => 'Please select priority',
        'owner'                      => 'Please enter owner name',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'source'                     => 'Please enter source',
        'hot'                        => 'Please enter hot',
        'share_lead'                 => 'Please enter share lead',
        'min_beds'                   => 'Please enter min beds',
        'max_beds'                   => 'Please enter max beds',
        'min_price'                  => 'Please enter min price',
        'max_price'                  => 'Please enter max price',
        'min_buildarea'              => 'Please enter min buildarea',
        'max_buildarea'              => 'Please enter max buildarea',
        'buildarea_typ'              => 'Please select buildarea typ',
        'min_landarea'               => 'Please enter min landarea',
        'max_landarea'               => 'Please enter max landarea',
        'landarea_type'              => 'Please select landarea type',
        'status'                     => 'Please select status',
        'sub_status'                 => 'Please enter sub status',
        'slug'                       => 'Please enter slug',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'meta_title'                 => 'Please enter meta title',
        'meta_description'           => 'Please enter meta description',
        'meta_keyword'               => 'Please enter meta keyword',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'refno'                      => 'Refno',
        'country_id'                 => 'Country',
        'state_id'                   => 'State',
        'district_id'                => 'District',
        'city_id'                    => 'City',
        'location_id'                => 'Location',
        'category_id'                => 'Category',
        'title'                      => 'Title',
        'description'                => 'Description',
        'date'                       => 'Date',
        'lead_type'                  => 'Lead type',
        'finance'                    => 'Finance',
        'priority'                   => 'Priority',
        'owner'                      => 'Owner',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'source'                     => 'Source',
        'hot'                        => 'Hot',
        'share_lead'                 => 'Share lead',
        'min_beds'                   => 'Min beds',
        'max_beds'                   => 'Max beds',
        'min_price'                  => 'Min price',
        'max_price'                  => 'Max price',
        'min_buildarea'              => 'Min buildarea',
        'max_buildarea'              => 'Max buildarea',
        'buildarea_typ'              => 'Buildarea typ',
        'min_landarea'               => 'Min landarea',
        'max_landarea'               => 'Max landarea',
        'landarea_type'              => 'Landarea type',
        'status'                     => 'Status',
        'sub_status'                 => 'Sub status',
        'slug'                       => 'Slug',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'meta_title'                 => 'Meta title',
        'meta_description'           => 'Meta description',
        'meta_keyword'               => 'Meta keyword',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'refno'                      => ['name' => 'Refno', 'data-column' => 1, 'checked'],
        'country_id'                 => ['name' => 'Country', 'data-column' => 2, 'checked'],
        'state_id'                   => ['name' => 'State', 'data-column' => 3, 'checked'],
        'district_id'                => ['name' => 'District', 'data-column' => 4, 'checked'],
        'city_id'                    => ['name' => 'City', 'data-column' => 5, 'checked'],
        'location_id'                => ['name' => 'Location', 'data-column' => 6, 'checked'],
        'category_id'                => ['name' => 'Category', 'data-column' => 7, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 8, 'checked'],
        'date'                       => ['name' => 'Date', 'data-column' => 9, 'checked'],
        'lead_type'                  => ['name' => 'Lead type', 'data-column' => 10, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 11, 'checked'],
        'owner'                      => ['name' => 'Owner', 'data-column' => 12, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 13, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 14, 'checked'],
        'share_lead'                 => ['name' => 'Share lead', 'data-column' => 15, 'checked'],
        'min_beds'                   => ['name' => 'Min beds', 'data-column' => 16, 'checked'],
        'max_beds'                   => ['name' => 'Max beds', 'data-column' => 17, 'checked'],
        'min_price'                  => ['name' => 'Min price', 'data-column' => 18, 'checked'],
        'max_price'                  => ['name' => 'Max price', 'data-column' => 19, 'checked'],
        'min_buildarea'              => ['name' => 'Min buildarea', 'data-column' => 20, 'checked'],
        'max_buildarea'              => ['name' => 'Max buildarea', 'data-column' => 21, 'checked'],
        'buildarea_typ'              => ['name' => 'Buildarea typ', 'data-column' => 22, 'checked'],
        'min_landarea'               => ['name' => 'Min landarea', 'data-column' => 23, 'checked'],
        'max_landarea'               => ['name' => 'Max landarea', 'data-column' => 24, 'checked'],
        'landarea_type'              => ['name' => 'Landarea type', 'data-column' => 25, 'checked'],
        'status'                     => ['name' => 'Status', 'data-column' => 26, 'checked'],
        'user_id'                    => ['name' => 'User id', 'data-column' => 27, 'checked'],
        'created_at'                 => ['name' => 'Created at', 'data-column' => 28, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Requirements',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
