<?php

// API routes  for property
Route::prefix('{guard}/realestate')->group(function () {
    Route::get('property/form/{element}', 'PropertyAPIController@form');
    Route::resource('property', 'PropertyAPIController');
});

// Public routes for property
Route::get('realestates/', 'PropertyPublicController@index');
Route::get('realestates/{slug?}', 'PropertyPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for realestates
            Route::prefix('{guard}/realestate')->group(function () {
                Route::get('property/form/{element}', 'PropertyAPIController@form');
                Route::apiResource('property', 'PropertyAPIController');
            });
            // Public routes for realestates
            Route::get('realestate/Property', 'PropertyPublicController@getProperty');
        }
    );
}


// API routes  for category
Route::prefix('{guard}/realestate')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('realestates/', 'CategoryPublicController@index');
Route::get('realestates/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for realestates
            Route::prefix('{guard}/realestate')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for realestates
            Route::get('realestate/Category', 'CategoryPublicController@getCategory');
        }
    );
}


// API routes  for requirement
Route::prefix('{guard}/realestate')->group(function () {
    Route::get('requirement/form/{element}', 'RequirementAPIController@form');
    Route::resource('requirement', 'RequirementAPIController');
});

// Public routes for requirement
Route::get('realestates/', 'RequirementPublicController@index');
Route::get('realestates/{slug?}', 'RequirementPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for realestates
            Route::prefix('{guard}/realestate')->group(function () {
                Route::get('requirement/form/{element}', 'RequirementAPIController@form');
                Route::apiResource('requirement', 'RequirementAPIController');
            });
            // Public routes for realestates
            Route::get('realestate/Requirement', 'RequirementPublicController@getRequirement');
        }
    );
}

