<?php

// web routes  for property
Route::prefix('{guard}/realestate')->group(function () {
    Route::resource('property', 'PropertyResourceController');
});

// Public routes for property
Route::get('realestates/', 'PropertyPublicController@index');
Route::get('realestates/{slug?}', 'PropertyPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PropertyResourceController');
            });
            // Public routes for pages
            Route::get('realestates/', 'PropertyPublicController@index');
            Route::get('realestates/{slug?}', 'PropertyPublicController@show');
        }
    );
}


// web routes  for category
Route::prefix('{guard}/realestate')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('realestates/', 'CategoryPublicController@index');
Route::get('realestates/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('realestates/', 'CategoryPublicController@index');
            Route::get('realestates/{slug?}', 'CategoryPublicController@show');
        }
    );
}


// web routes  for requirement
Route::prefix('{guard}/realestate')->group(function () {
    Route::resource('requirement', 'RequirementResourceController');
});

// Public routes for requirement
Route::get('realestates/', 'RequirementPublicController@index');
Route::get('realestates/{slug?}', 'RequirementPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RequirementResourceController');
            });
            // Public routes for pages
            Route::get('realestates/', 'RequirementPublicController@index');
            Route::get('realestates/{slug?}', 'RequirementPublicController@show');
        }
    );
}

