<?php

namespace Proplance\Realestate\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Property policy
        'Proplance\Realestate\Models\Property' => \Proplance\Realestate\Policies\PropertyPolicy::class,
// Bind Category policy
        'Proplance\Realestate\Models\Category' => \Proplance\Realestate\Policies\CategoryPolicy::class,
// Bind Requirement policy
        'Proplance\Realestate\Models\Requirement' => \Proplance\Realestate\Policies\RequirementPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
