<?php

namespace Proplance\Realestate;

use User;

class Realestate
{
    /**
     * $property object.
     */
    protected $property;
    /**
     * $category object.
     */
    protected $category;
    /**
     * $requirement object.
     */
    protected $requirement;

    /**
     * Constructor.
     */
    public function __construct(\Proplance\Realestate\Interfaces\PropertyRepositoryInterface $property,
        \Proplance\Realestate\Interfaces\CategoryRepositoryInterface $category,
        \Proplance\Realestate\Interfaces\RequirementRepositoryInterface $requirement)
    {
        $this->property = $property;
        $this->category = $category;
        $this->requirement = $requirement;
    }

    /**
     * Returns count of realestate.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.property.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->property->pushCriteria(new \Litepie\Proplance\Repositories\Criteria\PropertyUserCriteria());
        }

        $property = $this->property->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('realestate::' . $view, compact('property'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.category.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->category->pushCriteria(new \Litepie\Proplance\Repositories\Criteria\CategoryUserCriteria());
        }

        $category = $this->category->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('realestate::' . $view, compact('category'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.requirement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->requirement->pushCriteria(new \Litepie\Proplance\Repositories\Criteria\RequirementUserCriteria());
        }

        $requirement = $this->requirement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('realestate::' . $view, compact('requirement'))->render();
    }
}
