<?php

namespace Proplance\Realestate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CategoryTransformer extends TransformerAbstract
{
    public function transform(\Proplance\Realestate\Models\Category $category)
    {
        return [
            'id'                => $category->getRouteKey(),
            'key'               => [
                'public'    => $category->getPublicKey(),
                'route'     => $category->getRouteKey(),
            ], 
            'type'              => $category->type,
            'name'              => $category->name,
            'description'       => $category->description,
            'bedroomss'         => $category->bedroomss,
            'bathrooms'         => $category->bathrooms,
            'land_area'         => $category->land_area,
            'buildup_area'      => $category->buildup_area,
            'furnished'         => $category->furnished,
            'slug'              => $category->slug,
            'meta_title'        => $category->meta_title,
            'meta_description'  => $category->meta_description,
            'meta_keyword'      => $category->meta_keyword,
            'upload_folder'     => $category->upload_folder,
            'deleted_at'        => $category->deleted_at,
            'url'               => [
                'public'    => trans_url('realestate/'.$category->getPublicKey()),
                'user'      => guard_url('realestate/category/'.$category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$category->status),
            'created_at'        => format_date($category->created_at),
            'updated_at'        => format_date($category->updated_at),
        ];
    }
}