<?php

namespace Proplance\Realestate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropertyTransformer extends TransformerAbstract
{
    public function transform(\Proplance\Realestate\Models\Property $property)
    {
        return [
            'id'                => $property->getRouteKey(),
            'key'               => [
                'public'    => $property->getPublicKey(),
                'route'     => $property->getRouteKey(),
            ], 
            'refno'             => $property->refno,
            'unito'             => $property->unito,
            'user_id'           => $property->user_id,
            'user_type'         => $property->user_type,
            'country_id'        => $property->country_id,
            'state_id'          => $property->state_id,
            'district_id'       => $property->district_id,
            'city_id'           => $property->city_id,
            'location_id'       => $property->location_id,
            'category_id'       => $property->category_id,
            'title'             => $property->title,
            'description'       => $property->description,
            'price'             => $property->price,
            'year_built'        => $property->year_built,
            'rent_frequency'    => $property->rent_frequency,
            'bedrooms'          => $property->bedrooms,
            'bathrooms'         => $property->bathrooms,
            'buildup_area'      => $property->buildup_area,
            'buildarea_type'    => $property->buildarea_type,
            'land_area'         => $property->land_area,
            'landarea_type'     => $property->landarea_type,
            'floor_nos'         => $property->floor_nos,
            'parking'           => $property->parking,
            'furnishing'        => $property->furnishing,
            'features'          => $property->features,
            'amenities'         => $property->amenities,
            'portals'           => $property->portals,
            'address'           => $property->address,
            'locality'          => $property->locality,
            'zip_code'          => $property->zip_code,
            'landmarks'         => $property->landmarks,
            'visibility'        => $property->visibility,
            'images'            => $property->images,
            'video_link'        => $property->video_link,
            'expire_date'       => $property->expire_date,
            'source'            => $property->source,
            'property_for'      => $property->property_for,
            'prop_status'       => $property->prop_status,
            'build_status'      => $property->build_status,
            'lead_type'         => $property->lead_type,
            'owner'             => $property->owner,
            'phone'             => $property->phone,
            'email'             => $property->email,
            'view_count'        => $property->view_count,
            'slug'              => $property->slug,
            'meta_title'        => $property->meta_title,
            'meta_description'  => $property->meta_description,
            'meta_keyword'      => $property->meta_keyword,
            'upload_folder'     => $property->upload_folder,
            'deleted_at'        => $property->deleted_at,
            'url'               => [
                'public'    => trans_url('realestate/'.$property->getPublicKey()),
                'user'      => guard_url('realestate/property/'.$property->getRouteKey()),
            ], 
            'status'            => trans('app.'.$property->status),
            'created_at'        => format_date($property->created_at),
            'updated_at'        => format_date($property->updated_at),
        ];
    }
}