<?php

namespace Proplance\Realestate\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RequirementTransformer extends TransformerAbstract
{
    public function transform(\Proplance\Realestate\Models\Requirement $requirement)
    {
        return [
            'id'                => $requirement->getRouteKey(),
            'key'               => [
                'public'    => $requirement->getPublicKey(),
                'route'     => $requirement->getRouteKey(),
            ], 
            'refno'             => $requirement->refno,
            'country_id'        => $requirement->country_id,
            'state_id'          => $requirement->state_id,
            'district_id'       => $requirement->district_id,
            'city_id'           => $requirement->city_id,
            'location_id'       => $requirement->location_id,
            'category_id'       => $requirement->category_id,
            'title'             => $requirement->title,
            'description'       => $requirement->description,
            'date'              => $requirement->date,
            'lead_type'         => $requirement->lead_type,
            'finance'           => $requirement->finance,
            'priority'          => $requirement->priority,
            'owner'             => $requirement->owner,
            'phone'             => $requirement->phone,
            'email'             => $requirement->email,
            'source'            => $requirement->source,
            'hot'               => $requirement->hot,
            'share_lead'        => $requirement->share_lead,
            'min_beds'          => $requirement->min_beds,
            'max_beds'          => $requirement->max_beds,
            'min_price'         => $requirement->min_price,
            'max_price'         => $requirement->max_price,
            'min_buildarea'     => $requirement->min_buildarea,
            'max_buildarea'     => $requirement->max_buildarea,
            'buildarea_typ'     => $requirement->buildarea_typ,
            'min_landarea'      => $requirement->min_landarea,
            'max_landarea'      => $requirement->max_landarea,
            'landarea_type'     => $requirement->landarea_type,
            'sub_status'        => $requirement->sub_status,
            'slug'              => $requirement->slug,
            'user_id'           => $requirement->user_id,
            'user_type'         => $requirement->user_type,
            'meta_title'        => $requirement->meta_title,
            'meta_description'  => $requirement->meta_description,
            'meta_keyword'      => $requirement->meta_keyword,
            'upload_folder'     => $requirement->upload_folder,
            'deleted_at'        => $requirement->deleted_at,
            'url'               => [
                'public'    => trans_url('realestate/'.$requirement->getPublicKey()),
                'user'      => guard_url('realestate/requirement/'.$requirement->getRouteKey()),
            ], 
            'status'            => trans('app.'.$requirement->status),
            'created_at'        => format_date($requirement->created_at),
            'updated_at'        => format_date($requirement->updated_at),
        ];
    }
}